/*
	bordod.h 		11/28/88

	% object data header for border objects

	by Ted.

	OWL 1.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	12/04/88 jmd	moved some routines to bordobj.h from here

	 3/31/89 ted	split attr into xd struct
	 5/23/89 jmd	added "border features"
	 8/04/89 jmd	added BD_TOP feature

	11/06/89 jmd	removed DoRaw macros
	12/20/89 ted	Moved features from border od to xd.
*/

#ifndef OAK_BORDOD
#define OAK_BORDOD

#include "commonod.h"
/* -------------------------------------------------------------------------- */

typedef struct _borderod {
	common_od	cd;		   	/* common object super class */
	win_type 	win;	   	/* the border's client window */
	char 	   *title;		/* border title string (used by borders with titles) */	
	unsigned	debounced:1;	/* debounced flag */

} border_od;

#define bordod_GetSelf(bdd)			commonod_GetSelf(&(bdd)->cd)

#define BD_PROMPTLEN	80			/* length of standard border prompts */

/* Request funcs */

OEXTERN objreq_fptr bdreq_mousefptr;

#endif

